Avatar michael.maass Support asked

[Tutorial] YOOtheme Pro Troubleshooting: "Please enable the YOOtheme Framework plugin" (Joomla only)

Image

If you get the message Please enable the YOOtheme Framework plugin in your YOOtheme Pro template in the Joomla backend, please revise all of the following:

  • Go to Extensions > Plugins, enter yootheme into the search filter, and ascertain that "System - YOOtheme Framework" is enabled:

    Image

  • Go to Extensions > Templates and set YOOtheme Pro to be your Joomla's Image Default frontend template:

    Image

  • You should have the most recent version of YOOtheme Pro installed.
    See YOOtheme Pro > Documentation > Getting Started > Updating for more details.

  • Make sure you did not rename the YOOtheme Pro template folder. Its name has to be exactly yootheme.

    If the template folder is renamed important URLs inside the template become invalid. One consequence could be that the framework plugin becomes inaccessible.

    Another problem with a renamed template folder will be that the 1-click-update feature will also not work, because the update wouldn't know where to find the files to update.

  • Should have installed the 3rd party extension "Advanced Template Manager" by Regular Labs, please disable it.

    There were reports about "Advanced Module Manager" (also by Regular Labs) causing the same issue, but I could not replicate it. This extension does not seem to affect YOOtheme Pro.

Once all of this is taken care of, try again.

Thank you

  • Joomla
  • Tutorial
  • YOOtheme Pro

Edited

3 Answers

0

Avatar denis.johansen answered

Thanks Michael,

However there seems to be something wrong since v1.2 and 1.2.1 - the website builder has simply disappeared and the enable framework message is appearing even though the framework is enabled, and I have non of the mentioned plugins installed and template folder is still yootheme.

It was working perfectly before 1.2 upgrade and I have cleared all cache and tried out several browsers.

0

Avatar robertd answered

Error: Unrecognised input - yootheme pro Horizon (BUILDER/STYLE)- please help me

I have upgraded the template to newest verison - Yootheme Pro Horizon - I have upgraded the template to newest verison - Yootheme Pro Horizon - I'm afraid the Error still show. J can't change any parametr in the BUILDER/STYLE.

Please Help me

Know someone who can answer? Share a link to this question via email or twitter.